Get a streaming pipeline's status
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines/{streamingPipelineId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Streaming Pipelines
Get a streaming pipeline's status
Sends a request to the streaming agent to get the status of a streaming pipeline
GET
/
v1
/
projects
/
{projectId}
/
streaming-pipelines
/
{streamingPipelineId}
/
status
Get a streaming pipeline's status
Authorizations
a valid bearer token
Path Parameters
The ID of the project that contains the streaming pipeline definition
The ID of the streaming pipeline definition to get the status of
Response
Successfully retrieved streaming pipeline's status
The status of the streaming pipeline
Available options:
STARTING, SNAPSHOTTING, STREAMING, STOPPING, NOT_RUNNING, UNKNOWN Was this page helpful?
⌘I
